#pragma once
#include <map>
struct M_ActivityIntegralDrawCFGData
{
	//编号
	int mID;
	//物品ID
	std::vector<int> mItemIDs;
	//物品数量
	std::vector<int> mItemCounts;
	//权重
	int mweight;
};

class M_ActivityIntegralDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivityIntegralDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityIntegralDrawCFGData* GetData(int ID);
	const std::map<int, M_ActivityIntegralDrawCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityIntegralDrawCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityIntegralDrawCFGData> mMapData;
};
